Package ru.bitel.bgbilling.modules.rentsoft.server.bean

# Class RentsoftRequestEntry

java.lang.Object
ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftRequestEntry

public class RentsoftRequestEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RentsoftRequestEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getComment()`
  `Date`
  `getPeriodEnd()`
  `String`
  `getServiceKey()`
  `String`
  `getServiceName()`
  `int`
  `getStatus()`
  `int`
  `getSubId()`
  `int`
  `getTariffId()`
  `String`
  `getTxid()`
  `String`
  `getUuid()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setComment(String comment)`
  `void`
  `setPeriodEnd(Date periodEnd)`
  `void`
  `setServiceKey(String serviceKey)`
  `void`
  `setServiceName(String serviceName)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubId(int subId)`
  `void`
  `setTariffId(int tariffId)`
  `void`
  `setTxid(String txid)`
  `void`
  `setUuid(String uuid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RentsoftRequestEntry

    public RentsoftRequestEntry()

- ## Method Details

  - ### getUuid

    public String getUuid()

  - ### setUuid

    public void setUuid(String uuid)

  - ### getTxid

    public String getTxid()

  - ### setTxid

    public void setTxid(String txid)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getServiceKey

    public String getServiceKey()

  - ### setServiceKey

    public void setServiceKey(String serviceKey)

  - ### getServiceName

    public String getServiceName()

  - ### setServiceName

    public void setServiceName(String serviceName)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getSubId

    public int getSubId()

  - ### setSubId

    public void setSubId(int subId)

  - ### getPeriodEnd

    public Date getPeriodEnd()

  - ### setPeriodEnd

    public void setPeriodEnd(Date periodEnd)

  - ### setStatus

    public void setStatus(int status)

  - ### getStatus

    public int getStatus()

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId(int tariffId)